Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBVertexShader

    java.lang.Object
      org.lwjgl.opengl.ARBVertexShader

    public final class ARBVertexShader

extends java.lang.Object

Field Summary
`static int` | `GL_CURRENT_VERTEX_ATTRIB_ARB`
`static int` | `GL_FLOAT` Returned by the <type> parameter of GetActiveAttribARB:
`static int` | `GL_FLOAT_MAT2_ARB`
`static int` | `GL_FLOAT_MAT3_ARB`
`static int` | `GL_FLOAT_MAT4_ARB`
`static int` | `GL_FLOAT_VEC2_ARB`
`static int` | `GL_FLOAT_VEC3_ARB`
`static int` | `GL_FLOAT_VEC4_ARB`
`static int` | `GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB`
`static int` | `GL_MAX_TEXTURE_COORDS_ARB`
`static int` | `GL_MAX_TEXTURE_IMAGE_UNITS_ARB`
`static int` | `GL_MAX_VARYING_FLOATS_ARB`
`static int` | `GL_MAX_VERTEX_ATTRIBS_ARB`
`static int` | `GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB`
`static int` | `GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB`
`static int` | `GL_OBJECT_ACTIVE_ATTRIBUTES_ARB` Accepted by the <pname> parameter GetObjectParameter{if}vARB:
`static int` | `GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB` Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static int` | `GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB` Accepted by the <pname> parameter of GetVertexAttribPointervARB:
`static int` | `GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB`
`static int` | `GL_VERTEX_PROGRAM_POINT_SIZE_ARB` Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_VERTEX_PROGRAM_TWO_SIDE_ARB`
`static int` | `GL_VERTEX_SHADER_ARB` Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{if}vARB:

Method Summary
`static void` | `glBindAttribLocationARB(int programObj, int index, java.nio.ByteBuffer name)`
`static void` | `glDisableVertexAttribArrayARB(int index)`
`static void` | `glEnableVertexAttribArrayARB(int index)`
`static void` | `glGetActiveAttribARB(int programObj, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`static int` | `glGetAttribLocationARB(int programObj, java.nio.ByteBuffer name)`
`static void` | `glGetVertexAttribARB(int index, int pname, java.nio.DoubleBuffer params)`
`static void` | `glGetVertexAttribARB(int index, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetVertexAttribARB(int index, int pname, java.nio.IntBuffer params)`
`static java.nio.ByteBuffer` | `glGetVertexAttribPointerARB(int index, int pname, long result_size)`
`static void` | `glVertexAttrib1dARB(int index, double v0)`
`static void` | `glVertexAttrib1fARB(int index, float v0)`
`static void` | `glVertexAttrib1sARB(int index, short v0)`
`static void` | `glVertexAttrib2dARB(int index, double v0, double v1)`
`static void` | `glVertexAttrib2fARB(int index, float v0, float v1)`
`static void` | `glVertexAttrib2sARB(int index, short v0, short v1)`
`static void` | `glVertexAttrib3dARB(int index, double v0, double v1, double v2)`
`static void` | `glVertexAttrib3fARB(int index, float v0, float v1, float v2)`
`static void` | `glVertexAttrib3sARB(int index, short v0, short v1, short v2)`
`static void` | `glVertexAttrib4dARB(int index, double v0, double v1, double v2, double v3)`
`static void` | `glVertexAttrib4fARB(int index, float v0, float v1, float v2, float v3)`
`static void` | `glVertexAttrib4NubARB(int index, byte x, byte y, byte z, byte w)`
`static void` | `glVertexAttrib4sARB(int index, short v0, short v1, short v2, short v3)`
`static void` | `glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.ByteBuffer buffer)`
`static void` | `glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.IntBuffer buffer)`
`static void` | `glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.ShortBuffer buffer)`
`static void` | `glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, java.nio.DoubleBuffer buffer)`
`static void` | `glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, java.nio.FloatBuffer buffer)`
`static void` | `glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_SHADER_ARB

    public static final int GL_VERTEX_SHADER_ARB

  Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{if}vARB:

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB

    public static final int GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_VARYING_FLOATS_ARB

    public static final int GL_MAX_VARYING_FLOATS_ARB

See Also:
  Constant Field Values

### GL_MAX_VERTEX_ATTRIBS_ARB

    public static final int GL_MAX_VERTEX_ATTRIBS_ARB

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS_ARB

    public static final int GL_MAX_TEXTURE_IMAGE_UNITS_ARB

See Also:
  Constant Field Values

### GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB

    public static final int GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB

See Also:
  Constant Field Values

### GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB

    public static final int GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_COORDS_ARB

    public static final int GL_MAX_TEXTURE_COORDS_ARB

See Also:
  Constant Field Values

### GL_VERTEX_PROGRAM_POINT_SIZE_ARB

    public static final int GL_VERTEX_PROGRAM_POINT_SIZE_ARB

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_VERTEX_PROGRAM_TWO_SIDE_ARB

    public static final int GL_VERTEX_PROGRAM_TWO_SIDE_ARB

See Also:
  Constant Field Values

### GL_OBJECT_ACTIVE_ATTRIBUTES_ARB

    public static final int GL_OBJECT_ACTIVE_ATTRIBUTES_ARB

  Accepted by the <pname> parameter GetObjectParameter{if}vARB:

  See Also:
    Constant Field Values

### GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB

    public static final int GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB

    public static final int GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB

  Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB

    public static final int GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB

    public static final int GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB

    public static final int GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB

    public static final int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB

See Also:
  Constant Field Values

### GL_CURRENT_VERTEX_ATTRIB_ARB

    public static final int GL_CURRENT_VERTEX_ATTRIB_ARB

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB

    public static final int GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB

  Accepted by the <pname> parameter of GetVertexAttribPointervARB:

  See Also:
    Constant Field Values

### GL_FLOAT

    public static final int GL_FLOAT

  Returned by the <type> parameter of GetActiveAttribARB:

  See Also:
    Constant Field Values

### GL_FLOAT_VEC2_ARB

    public static final int GL_FLOAT_VEC2_ARB

See Also:
  Constant Field Values

### GL_FLOAT_VEC3_ARB

    public static final int GL_FLOAT_VEC3_ARB

See Also:
  Constant Field Values

### GL_FLOAT_VEC4_ARB

    public static final int GL_FLOAT_VEC4_ARB

See Also:
  Constant Field Values

### GL_FLOAT_MAT2_ARB

    public static final int GL_FLOAT_MAT2_ARB

See Also:
  Constant Field Values

### GL_FLOAT_MAT3_ARB

    public static final int GL_FLOAT_MAT3_ARB

See Also:
  Constant Field Values

### GL_FLOAT_MAT4_ARB

    public static final int GL_FLOAT_MAT4_ARB

See Also:
  Constant Field Values

Method Detail

### glVertexAttrib1sARB

    public static void glVertexAttrib1sARB(int index,
                                           short v0)

### glVertexAttrib1fARB

    public static void glVertexAttrib1fARB(int index,
                                           float v0)

### glVertexAttrib1dARB

    public static void glVertexAttrib1dARB(int index,
                                           double v0)

### glVertexAttrib2sARB

    public static void glVertexAttrib2sARB(int index,
                                           short v0,
                                           short v1)

### glVertexAttrib2fARB

    public static void glVertexAttrib2fARB(int index,
                                           float v0,
                                           float v1)

### glVertexAttrib2dARB

    public static void glVertexAttrib2dARB(int index,
                                           double v0,
                                           double v1)

### glVertexAttrib3sARB

    public static void glVertexAttrib3sARB(int index,
                                           short v0,
                                           short v1,
                                           short v2)

### glVertexAttrib3fARB

    public static void glVertexAttrib3fARB(int index,
                                           float v0,
                                           float v1,
                                           float v2)

### glVertexAttrib3dARB

    public static void glVertexAttrib3dARB(int index,
                                           double v0,
                                           double v1,
                                           double v2)

### glVertexAttrib4sARB

    public static void glVertexAttrib4sARB(int index,
                                           short v0,
                                           short v1,
                                           short v2,
                                           short v3)

### glVertexAttrib4fARB

    public static void glVertexAttrib4fARB(int index,
                                           float v0,
                                           float v1,
                                           float v2,
                                           float v3)

### glVertexAttrib4dARB

    public static void glVertexAttrib4dARB(int index,
                                           double v0,
                                           double v1,
                                           double v2,
                                           double v3)

### glVertexAttrib4NubARB

    public static void glVertexAttrib4NubARB(int index,
                                             byte x,
                                             byte y,
                                             byte z,
                                             byte w)

### glVertexAttribPointerARB

    public static void glVertexAttribPointerARB(int index,
                                                int size,
                                                boolean normalized,
                                                int stride,
                                                java.nio.DoubleBuffer buffer)

### glVertexAttribPointerARB

    public static void glVertexAttribPointerARB(int index,
                                                int size,
                                                boolean normalized,
                                                int stride,
                                                java.nio.FloatBuffer buffer)

### glVertexAttribPointerARB

    public static void glVertexAttribPointerARB(int index,
                                                int size,
                                                boolean unsigned,
                                                boolean normalized,
                                                int stride,
                                                java.nio.ByteBuffer buffer)

### glVertexAttribPointerARB

    public static void glVertexAttribPointerARB(int index,
                                                int size,
                                                boolean unsigned,
                                                boolean normalized,
                                                int stride,
                                                java.nio.IntBuffer buffer)

### glVertexAttribPointerARB

    public static void glVertexAttribPointerARB(int index,
                                                int size,
                                                boolean unsigned,
                                                boolean normalized,
                                                int stride,
                                                java.nio.ShortBuffer buffer)

### glVertexAttribPointerARB

    public static void glVertexAttribPointerARB(int index,
                                                int size,
                                                int type,
                                                boolean normalized,
                                                int stride,
                                                long buffer_buffer_offset)

### glEnableVertexAttribArrayARB

    public static void glEnableVertexAttribArrayARB(int index)

### glDisableVertexAttribArrayARB

    public static void glDisableVertexAttribArrayARB(int index)

### glBindAttribLocationARB

    public static void glBindAttribLocationARB(int programObj,
                                               int index,
                                               java.nio.ByteBuffer name)

### glGetActiveAttribARB

    public static void glGetActiveAttribARB(int programObj,
                                            int index,
                                            java.nio.IntBuffer length,
                                            java.nio.IntBuffer size,
                                            java.nio.IntBuffer type,
                                            java.nio.ByteBuffer name)

### glGetAttribLocationARB

    public static int glGetAttribLocationARB(int programObj,
                                             java.nio.ByteBuffer name)

### glGetVertexAttribARB

    public static void glGetVertexAttribARB(int index,
                                            int pname,
                                            java.nio.FloatBuffer params)

### glGetVertexAttribARB

    public static void glGetVertexAttribARB(int index,
                                            int pname,
                                            java.nio.DoubleBuffer params)

### glGetVertexAttribARB

    public static void glGetVertexAttribARB(int index,
                                            int pname,
                                            java.nio.IntBuffer params)

### glGetVertexAttribPointerARB

    public static java.nio.ByteBuffer glGetVertexAttribPointerARB(int index,
                                                                  int pname,
                                                                  long result_size)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.